/*******************************************************************************
MFC Javascript Code
 
Notes : 
*TODO* Add notes here, obviously...
*******************************************************************************/

/*******************************************************************************
 Configurable Parameters / Global Vars
*******************************************************************************/
/*******************************************************************************
Bow         = Forward/Front = b
Aft (Stern) = Back/Rear     = a
Port        = Left          = p
Starboard   = Right         = s
 
  \ /
 p|^|q
 b|_|d
 
p = bp = R5 = 0x10
q = bs = R8 = 0x80
b = ap = R4 = 0x08
d = as = R1 = 0x01

Go Left     = bs | as
Go Right    = bp | ap
Go Forward  = bp | bs
Go Backward = ap | as
Rotate CW   = bp | as
Rotate CCW  = ap | bs
Skew Left   = bs
Skew Right  = bp
*******************************************************************************/

var bp = 0x10;
var bs = 0x80;
var ap = 0x08;
var as = 0x01;

/*******************************************************************************
 Functions
*******************************************************************************/

function sendcommand(command)
{
  
  alert(hexcommand);
}

function goleft()
{
  command = bs | as;
  sendcommand(command);
}

function goright()
{
  command = bp | ap;
  sendcommand(command);
}

function goforward()
{
  command = bp | bs;
  sendcommand(command);
}

function gobackward()
{
  command = ap | as;
  sendcommand(command);
}

function rotatecw()
{
  command = bp | as;
  sendcommand(command);
}

function rotateccw()
{
  command = ap | bs;
  sendcommand(command);
}

function skewleft()
{
  command = bs;
  sendcommand(command);
}

function skewright()
{
  command = bp;
  sendcommand(command);
}

function stop()
{
  command = 0x00;
  sendcommand(command);
}

function sendcommand(command){
  url='./cgi-bin/mfccontrol.sh';
  
  hexcommand = "0x" + command.toString(16);
  
  TTRequest = GetXMLHttpObject();
  
  if(TTRequest == null){
    alert("Failed to use AJAX!");
    return false;
  }

  //Send the request
  //TTRequest.onreadystatechange = Nothing...coz I don't care
  TTRequest.open('GET', url + "?" + hexcommand, true);
  TTRequest.send(null);
}

function GetXMLHttpObject()
{
  var xmlHttp=null;
  try {
    //New Browsers, Firefox, Safari, IE7
    xmlHttp=new XMLHttpRequest();
  } catch (e) {
    // Old IE
    try{
      xmlHttp=new ActiveXObject("Msxml2.XMLHTTP");
    } catch (e) {
      xmlHttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
  }
  return xmlHttp;
}
